petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatGetType

Gets the matrix type as a string from the matrix object.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetType(Mat mat,MatType *type)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

name -name of matrix type

### See Also

MatSetType()

### Level

intermediate

### Location

src/mat/interface/matreg.c

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages